Jump to content

  • Curse Sites
Become a Premium Member! Help
Latest News Article

Can't install any mods at all!!!!!!!!!!!!!


  • Please log in to reply
14 replies to this topic

#1

TankEpidemic

Posted 03 January 2012 - 07:13 AM

No matter what mod i put onto my Minecraft it ALWAYS crashes. I have absolutely no idea why, i cant even look at the error report because it only shows for a split second and then all of Minecraft crashes. Mods work fine on a laptop i have but on the computer I am currently on can't install any mods at all. My computer is a few years outdated and I have no money to but another one. If anyone has any ideas other than "update drivers" or "google it" that will help me figure out WHY this is happening or HOW to fix it I'm open to those ideas. Thank you in advance for any help given.

I do in fact delete META-INF whenever I install any mods.

Anything and everything I do fails when i install a mod. I have absolutely zero idea why and it's really starting to piss me off.

Register or log in to remove.

#2

ManiacServer

Posted 03 January 2012 - 07:17 AM

View PostTankEpidemic, on 03 January 2012 - 07:13 AM, said:

No matter what mod i put onto my Minecraft it ALWAYS crashes. I have absolutely no idea why, i cant even look at the error report because it only shows for a split second and then all of Minecraft crashes. Mods work fine on a laptop i have but on the computer I am currently on can't install any mods at all. My computer is a few years outdated and I have no money to but another one. If anyone has any ideas other than "update drivers" or "google it" that will help me figure out WHY this is happening or HOW to fix it I'm open to those ideas. Thank you in advance for any help given.

I do in fact delete META-INF whenever I install any mods.

Anything and everything I do fails when i install a mod. I have absolutely zero idea why and it's really starting to piss me off.

Please give more information when making these posts.  

1.  what is your computers specifications?
2.  What mods are you attempting to install?
3.  Some mods are installed differently then others did you follow the authors instructions to the letter?
4.  Some mods require an API, like Modloader, ModloaderMP, or forge.  Please check to see they do not require them.
Discontinued server until further notice.

#3

btwsupporter
  • Location: Living In China
  • Minecraft: Mikesully52

Posted 03 January 2012 - 07:19 AM

try installing modloader using the following instructions:
Extract files from modloader.zip
Open the minecraft.jar using winrar
Put extracted files into the minecraft.jar using winrar (ctrl+c files than ctrl+v into winrar window)

close all the files and start minecraft. it should work, if not make sure your usng 1.0.0 mods with minecraft 1.0.0 1.8 mods aren't compatible with 1.0.0

#4

TankEpidemic

Posted 03 January 2012 - 07:34 AM

View PostManiacServer, on 03 January 2012 - 07:17 AM, said:

Please give more information when making these posts.  

1.  what is your computers specifications?
2.  What mods are you attempting to install?
3.  Some mods are installed differently then others did you follow the authors instructions to the letter?
4.  Some mods require an API, like Modloader, ModloaderMP, or forge.  Please check to see they do not require them.


When I say anyhow and everything i do fails, i also mean trying mod loader, and also the laptop i used previously to play minecraft accepted the exact same mod, the exact same version of minecraft and the mod, and it just doesnt work on this computer. I am trying to install elemental creepers on my client and am trying to use the version that makes it available to see when im on my own server. The mod works fine on my server, it's just that i cant get the mod onto the jar file with this computer without it crashing to hell. As for specifications, I will have to post those later, I'm currently out of time right now and will get around to posting the specs tomorrow.

#5

Silentoe
    Silentoe

    Newly Spawned

  • Members
  • 1 posts
  • Location: California
  • Minecraft: Silentoe

Posted 03 January 2012 - 07:39 AM

Well, judging from the fact that you get them to work on another computer. I think I can safely guess that you know how to successfully mod your minecraft. (unless someone else modded it for you.) With that in mind I have a few thoughts.
1: What version of Java are you running?
2: Rarely the order that you install mods in can cause problems.
3: Computer specs. would be nice  :D
I never said it was your fault. I said I was going to blame you.

#6

KazamB
    KazamB

    Out of the Water

  • Members
  • 6 posts

Posted 04 January 2012 - 10:28 PM

I have the same problem, it doenst matter which mod. it will not work. even tmi items doesnt work, and i installed that for like 50 times already, and it worked fine back then.
weird shit.

#7

renounce4
  • Location: US
  • Minecraft: renounce4
  • Xbox:Renounce4

Posted 23 February 2012 - 02:34 AM

Same problem. Watched all the videos did everything right but still getting black screened with every mod. even if i just try modloader itself from a fresh .minecraft it doesn't work. What information do you want for computer specifications?
Posted Image

#8

bobez123
    bobez123

    Tree Puncher

  • Members
  • 12 posts

Posted 27 February 2012 - 11:18 PM

I have the same problem too. Don't know how to fix it.

#9

Sodisna
    Sodisna

    Obsidian Miner

  • Members
  • 1234 posts
  • Minecraft: Sodisna

Posted 27 February 2012 - 11:26 PM

What version of Minecraft are you use? 1.1? Make sure the mods are for the version you're using. If you install modloader, it should spit out a error report.

http://www.minecraft....net/wiki/Crash

#10

TheName
    TheName

    Gold Miner

  • Members
  • 367 posts
  • Minecraft: TheName

Posted 28 February 2012 - 12:57 AM

View PostTankEpidemic, on 03 January 2012 - 07:13 AM, said:

I cant even look at the error report because it only shows for a split second and then all of Minecraft crashes.

Try looking for a crash log in the same folder the launcher is in. It is a .txt file. It helps to put the launcher in its own folder so that you can find the crash log easily. Paste the content of the crash log in a message and someone smart will try to help you.
Every time that someone on the support forums doesn't say anything after I tell them a possible solution, I assume that they are having too much fun enjoying their fixed Minecraft to reply.

#11

JayB450
    JayB450

    Tree Puncher

  • Members
  • 11 posts
  • Location: The third house to the left
  • Minecraft: Jakal47

Posted 28 February 2012 - 01:59 AM

If you are having a lot of trouble manually adding mods then try finding mods with that are in an installer so it does it for you, like the YogBox, or Zombe fly mod, I suck at adding mods and using installers helps a lot.
ihurdyouliekmudkipz?

#12

hlee66
    hlee66

    Tree Puncher

  • Members
  • 13 posts

Posted 19 May 2012 - 10:04 AM

View PostKazamB, on 04 January 2012 - 10:28 PM, said:

I have the same problem, it doenst matter which mod. it will not work. even tmi items doesnt work, and i installed that for like 50 times already, and it worked fine back then.
weird shit.
Me tooPosted Image

View Posthlee66, on 19 May 2012 - 10:01 AM, said:

Me tooPosted Image
I looked at 1000's of videos and forums but I do install correctly but if I open up minecraft is not there !!!! (HELP!! PLS!!)

#13

DaJamsta123

Posted 21 July 2012 - 01:59 PM

I think I have the same problem if not similar to the other people here.

After spending hours trying to install different mods (the only successful ones being SPC and sometimes TMI) I finally gave up and installed Technic Launcher. This worked for a while but I started to notice it getting buggy, and it had way too many mods (the only ones I wanted were railcraft, buildcraft, NEI, and maybe IC2) I have started trying to install mods the normal way.

Following the instructions on the railcraft wiki:  http://railcraft.wik...Download (Info)


I have installed Minecraft Forge. (By opening the zip file with 7-zip and opening the .jar with 7-zip then dragging and dropping)
(I wasn't sure whether to delete the META-INF or not but I did because in my experience most mods ask for it to be deleted)

I then started minecraft
It started fine and I now have a 'mods' file and a 'mods' button on the minecraft start menu. If I open the mods button it says two mods have been loaded- 1) Forge Mod Loader (FML V2.2.48.135    0 child mods) 2) mod_MinecraftForg  (3.3.7.135   0 child mods)
I also tried creating and playing a new world which worked fine.

This is the bit where my minecraft normally plays up. I place the zip called 'Railcraft_Client_5.4.7.zip' into the mods folder inside .minecraft and I start minecraft. The Mojang logo displays and the game loads for another few seconds then this error report appears:

2 mods loaded
Minecraft Forge 3.3.7.135
FML v2.2.48.135
Forge Mod Loader version 2.2.48.135 for Minecraft 1.2.5
mod_MinecraftForge : Pre-initialized (minecraft.jar)
mod_Railcraft : Loaded (Railcraft_Client_5.4.7.zip)

	 Minecraft has crashed!	
	 ----------------------	
Minecraft has stopped running because it encountered a problem.


--- BEGIN ERROR REPORT 82a42b20 --------
Generated 21/07/12 14:46
Minecraft: Minecraft 1.2.5
OS: Windows 7 (amd64) version 6.1
Java: 1.7.0_04, Oracle Corporation
VM: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
LWJGL: 2.4.2
OpenGL: Intel(R) HD Graphics version 3.1.0 - Build 8.15.10.2653, Intel
cpw.mods.fml.common.LoaderException: java.lang.RuntimeException: Railcraft: MinecraftForge Too Old, need at least 3.3.8
at cpw.mods.fml.common.modloader.ModLoaderModContainer.preInit(ModLoaderModContainer.java:114)
at cpw.mods.fml.common.Loader.preModInit(Loader.java:235)
at cpw.mods.fml.common.Loader.loadMods(Loader.java:593)
at cpw.mods.fml.client.FMLClientHandler.onPreLoad(FMLClientHandler.java:193)
at net.minecraft.client.Minecraft.a(Minecraft.java:383)
at net.minecraft.client.Minecraft.run(Minecraft.java:735)
at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.RuntimeException: Railcraft: MinecraftForge Too Old, need at least 3.3.8
at forge.MinecraftForge.killMinecraft(MinecraftForge.java:458)
at forge.MinecraftForge.versionDetect(MinecraftForge.java:486)
at railcraft.common.StartupChecks.runChecks(StartupChecks.java:28)
at mod_Railcraft.<init>(mod_Railcraft.java:49)
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
at java.lang.reflect.Constructor.newInstance(Unknown Source)
at java.lang.Class.newInstance0(Unknown Source)
at java.lang.Class.newInstance(Unknown Source)
at cpw.mods.fml.common.modloader.ModLoaderModContainer.preInit(ModLoaderModContainer.java:107)
... 6 more
--- END ERROR REPORT dbfd42b8 ----------


I can't get passed this part. Any help?

My comp specs-

8Gb RAM
1Tb Disk
Intel core i5-2400 CPU @ 3.10GHz
64Bit Windows 7 Home premium
Intel HD Integrated graphics


Please note. I deleted my .minecraft folder to have a fresh start but before doing anything I patched it with MCPactcher so that I could use the faithful x32 texture pack. If you think this will effect anything I can re delete the folder and not patch it.


Thanks in advance Posted Image


DaJamsta123
James


Edit-
I just realised that my Minecraft forge was out of date. That fixed it. Now I need to try and install NEI and Buildcraft :\

Edit-
I feel so happy! :)
NEI- successful
Buildcraft- successful
railcraft- successful
Now I just need to find a faithful texture pack that includes railcraft and buildcraft :\

#14

TheGCLazer

Posted 27 August 2012 - 04:37 PM

I cant even put anything in  my minecraft.jar! When i try, an error comes up saying somethings using it! Nothings open except the minecraft.jar i wanna put everything in!

#15

TheGCLazer

Posted 27 August 2012 - 04:44 PM

I cant EVEN USEE FRICKIN AUTOMATED INSTAALLLEEERRRSSSSS!!!
Posted ImagePosted Image
Posted ImagePosted Image
Posted ImagePosted Image GGGGAAAAHHHHHHHHHHHHHHHHH